## CajaMenuItem CajaMenuItem |

## Synopsis

    #define             CAJA_TYPE_MENU_ITEM
    #define             CAJA_MENU_ITEM                      (obj)
    #define             CAJA_MENU_ITEM_CLASS                (klass)
    #define             CAJA_MENU_IS_ITEM                   (obj)
    #define             CAJA_MENU_IS_ITEM_CLASS             (klass)
    #define             CAJA_MENU_ITEM_GET_CLASS            (obj)
                        CajaMenuPrivate;
                        CajaMenuItemDetails;
                        CajaMenu;
                        CajaMenuItem;

## Object Hierarchy

      GObject
       +----CajaMenu

      GObject
       +----CajaMenuItem

## Properties

      "icon"                     gchar*                : Read / Write
      "label"                    gchar*                : Read / Write
      "menu"                     CajaMenu*             : Read / Write
      "name"                     gchar*                : Read / Write / Construct Only
      "priority"                 gboolean              : Read / Write
      "sensitive"                gboolean              : Read / Write
      "tip"                      gchar*                : Read / Write

## Signals

      "activate"                                       : Run Last

## Description

## Details

### CAJA_TYPE_MENU_ITEM

    #define CAJA_TYPE_MENU_ITEM            (caja_menu_item_get_type())

### CAJA_MENU_ITEM()

    #define CAJA_MENU_ITEM(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), CAJA_TYPE_MENU_ITEM, CajaMenuItem))

### CAJA_MENU_ITEM_CLASS()

    #define CAJA_MENU_ITEM_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), CAJA_TYPE_MENU_ITEM, CajaMenuItemClass))

### CAJA_MENU_IS_ITEM()

    #define CAJA_MENU_IS_ITEM(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CAJA_TYPE_MENU_ITEM))

### CAJA_MENU_IS_ITEM_CLASS()

    #define CAJA_MENU_IS_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), CAJA_TYPE_MENU_ITEM))

### CAJA_MENU_ITEM_GET_CLASS()

    #define CAJA_MENU_ITEM_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), CAJA_TYPE_MENU_ITEM, CajaMenuItemClass))

### CajaMenuPrivate

    typedef struct _CajaMenuPrivate CajaMenuPrivate;

### CajaMenuItemDetails

    typedef struct _CajaMenuItemDetails CajaMenuItemDetails;

### CajaMenu

    typedef struct _CajaMenu CajaMenu;

### CajaMenuItem

    typedef struct _CajaMenuItem CajaMenuItem;

## Property Details

### The `"icon"` property

      "icon"                     gchar*                : Read / Write

Name of the icon to display in the menu item.

Default value: NULL

### The `"label"` property

      "label"                    gchar*                : Read / Write

Label to display to the user.

Default value: NULL

### The `"menu"` property

      "menu"                     CajaMenu*             : Read / Write

The menu belonging to this item. May be null.

### The `"name"` property

      "name"                     gchar*                : Read / Write / Construct Only

Name of the item.

Default value: NULL

### The `"priority"` property

      "priority"                 gboolean              : Read / Write

Show priority text in toolbars.

Default value: TRUE

### The `"sensitive"` property

      "sensitive"                gboolean              : Read / Write

Whether the menu item is sensitive.

Default value: TRUE

### The `"tip"` property

      "tip"                      gchar*                : Read / Write

Tooltip for the menu item.

Default value: NULL

## Signal Details

### The `"activate"` signal

    void                user_function                      (CajaMenuItem *cajamenuitem,
                                                            gpointer      user_data)         : Run Last

`cajamenuitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.